Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMS
Target version: 2.0.0-rc2
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2060 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: WMS, GetFeatureInfo Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

When performing a Info Request on a 1.3.0 WMS map the info window shows the following message:
"[InvalidSRS(CRS)] Parameter 'srs(crs)' can not be empty. "

This is because the Info Request is using "SRS" as Spatial Reference parameter, but in WMS 1.3.0 should use "CRS" parameter.

Some WMS 1.3.0 Services also accept "SRS" parameter, but the WMS 1.3.0 specification tells to use "CRS" parameter.

It can be tested on the following service "http://cartoweb.cma.gva.es/arcgis/services/espacios_protegidos/MapServer/WMSServer"

History
#1 - 12/07/2012 01:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/07/2012 02:16 PM - Joaquín  del Cerro Murciano
- Category set to WMS
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High
- Target version changed from 2.0.0-final to 2.0.0-rc2

#3 - 12/12/2012 11:46 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-desktop:r39403
gvsig-raster:r1367

#4 - 12/18/2012 01:42 PM - Abenchara Socorro
- Status changed from Fixed to Closed

Tested in build 2061 RC2

I have tried various layers from "http://cartoweb.cma.gva.es/arcgis/services/espacios_protegidos/MapServer/WMSServer" and I can open them
without any problem.
